---
- hosts: localhost
  become: False

  vars_files:
    - local-vault.yml

  vars_prompt:
    - name: helm_image_tag_test
      prompt: "Version to deploy for the test environment"
      default: "latest"
      private: no
    - name: helm_image_tag_prod
      prompt: "Version to deploy for the production environment"
      default: "x.y.z"
      private: no

  roles:
    - { role: secrets.ex-book-list-api-python-flask-restx }
    - { role: secrets.ex-book-list-api-python-flask-restx, secrets_ex_book_list_api_env: test }
    - { role: secrets.ex-book-list-api-python-flask-restx, secrets_ex_book_list_api_env: docker }
    - { role: secrets.ex-book-list-api-python-flask-restx, secrets_ex_book_list_api_env: k3s }
    - { role: secrets.ex-book-list-api-python-flask-restx, secrets_ex_book_list_api_env: test }
    - { role: secrets.ex-book-list-api-python-flask-restx, secrets_ex_book_list_api_env: prod }
